@keyframes slideDown {
    from {
        transform: translateY(-20px);
        opacity: 0;
    }
    to {
        transform: translateY(0);
        opacity: 1;
    }
}

.notifications-container{
    z-index: 50;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    width: 45em;
    position: fixed;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    padding-top: 1em;
    gap: 0.8em;
}

.notification-box{
    background-color: var(--white);
    border: 1px solid var(--black);
    width: 90%;
    border-radius: 10px;
    min-height: 2em;
    display: flex;
    align-items: center;
    padding: 1em;
    animation: slideDown 0.3s ease-out forwards;
    transition: all 0.3s ease-in-out;
    overflow: hidden;
}

.notification-box.hiding {
    opacity: 0;
    min-height: 0;
    height: 0;
    padding-top: 0;
    padding-bottom: 0;
    border-width: 0;
    transform: translateY(-100%);
}

.notification-text-container{
    width: 95%;
    display: flex;
    flex-direction: column;
}

.notification-title{
    color: var(--black);
    font-size: 1.3em;
}

.notification-text{
    width: 97%;
    word-wrap: break-word;
}

.notification-close{
    user-select: none;
    width: 5%;
    background-color: transparent;
    border: none;
    font-size: 1.5em;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
}

.notification-close:hover{
    opacity: 0.8;
    border: 1px solid var(--black);
}

.popup-success .notification-title{
    color: var(--success);
}

.popup-error .notification-title{
    color: var(--error);
}

.popup-warning .notification-title{
    color: var(--warning);
}

.popup-info .notification-title{
    color: var(--black);
}
/* --------------------------------------------------- */
/* ------------------- LARGE POPUP ------------------- */
/* --------------------------------------------------- */
.notifications-large-container{
    display: flex;
    align-items: center;
    justify-content: center;
    top: 0;
    left: 0;
    height: 100vh;
    width: 100%;
    position: fixed;
    z-index: 10;
    backdrop-filter: blur(5px);
}

.notification-large-box{
    background-color: var(--white);
    width: 40em;
    border: 1px solid var(--black);
    border-radius: 10px;
    padding: 1em;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 1.5em;
}

.notification-large-text-container{
    width: 100%;
    text-align: center;
}

.notification-large-title{
    font-size: 2em;
}

.popup-warning .notification-large-title{
    color: var(--warning);
}

.notification-large-text{
    font-weight: 500;
}

.notification-large-response-container{
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 1em;
}

.notification-large-close{
    width: 100%;
    font-size: 1.5em;
    font-weight: 800;
    background-color: var(--gray);
    border: 1px solid var(--black);
    height: stretch;
    height: -webkit-fill-available;
    align-items: stretch;
    min-height: 2em;
    transition: 0.2s;
    cursor: pointer;
}

.notification-large-close:hover{
    filter: brightness(1.2);
    transition: 0.2s;
}

.popup-warning .notification-large-close{
    color: var(--warning);
}

/* --------------------------------------------------- */
/* ------------------- LOAD  POPUP ------------------- */
/* --------------------------------------------------- */

.load-container{
    position: fixed;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    z-index: 15;
    backdrop-filter: blur(10px);
}

.load-container.hidden{
    display: none;
}

.load-video{
    width: 10em;
    height: auto;
    background-color: rgba(247, 247, 255, 0.7);
    padding: 0.2em 1.5em;
    border-radius: 25px;
}

.load-message{
    font-weight: 900;
    font-size: 1.5em;
    padding: 0.5em;
    border-radius: 20px;
    color: var(--black);
}
